summary refs log tree commit diff
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2007-08-26 18:42:08 +0000
committerMichael Biebl <biebl@debian.org>2007-08-26 18:42:08 +0000
commitd6f0e556f983e13a380a1f0634cebd296d75b34d (patch)
treee372df65405e2414178f04f7c34a418ef548d9c8
parenta0c0b9a690d4b91f5f0a1e6873fd9d5d29355cb6 (diff)
* New upstream release. (Closes: #420959, #431658)
  - Runs wpa_supplicant in less verbose mode. (Closes: #375302, #431562)
  - Adds support for LEAP and phase two authentication.
    (Closes: #420959, #402747)
* Removed patches that were merged upstream
  - debian/patches/09_fix_bigendian_words.patch
  - debian/patches/12_dbus1.0.patch
  - debian/patches/13-wep_capabilities

git-svn-id: svn+ssh://svn.debian.org/svn/pkg-utopia/packages/unstable/networkmanager@1672 ceb527fc-18e6-0310-9fe2-813c157c29e7
-rw-r--r--debian/changelog13
-rw-r--r--debian/patches/09_fix_bigendian_words.patch310
-rw-r--r--debian/patches/12_dbus1.0.patch42
-rw-r--r--debian/patches/13-wep_capabilities.patch21
4 files changed, 13 insertions, 373 deletions
diff --git a/debian/changelog b/debian/changelog
index 38b9921a..41d31dec 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,16 @@
+network-manager (0.6.5-1) unstable; urgency=low
+
+  * New upstream release. (Closes: #420959, #431658)
+    - Runs wpa_supplicant in less verbose mode. (Closes: #375302, #431562)
+    - Adds support for LEAP and phase two authentication.
+      (Closes: #420959, #402747)
+  * Removed patches that were merged upstream
+    - debian/patches/09_fix_bigendian_words.patch
+    - debian/patches/12_dbus1.0.patch
+    - debian/patches/13-wep_capabilities
+
+ -- Michael Biebl <biebl@debian.org>  Sat, 25 Aug 2007 00:21:49 +0200
+
 network-manager (0.6.4-8) unstable; urgency=low
 
   * Install the NetworkManager and NetworkManagerDispatcher start scripts as
diff --git a/debian/patches/09_fix_bigendian_words.patch b/debian/patches/09_fix_bigendian_words.patch
deleted file mode 100644
index 736103b9..00000000
--- a/debian/patches/09_fix_bigendian_words.patch
+++ /dev/null
@@ -1,310 +0,0 @@
---- configure.orig	2006-08-07 17:02:37.000000000 +0200
-+++ configure	2006-08-07 17:03:56.000000000 +0200
-@@ -23030,6 +23030,293 @@
- 	< $srcdir/po/POTFILES.in > po/POTFILES
- 
- 
-+{ echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
-+echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6; }
-+if test "${ac_cv_c_bigendian+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  # See if sys/param.h defines the BYTE_ORDER macro.
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+#include <sys/types.h>
-+#include <sys/param.h>
-+
-+int
-+main ()
-+{
-+#if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
-+ bogus endian macros
-+#endif
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_compile") 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
-+  { (case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_try") 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_try") 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  # It does; now see whether it defined to BIG_ENDIAN or not.
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+#include <sys/types.h>
-+#include <sys/param.h>
-+
-+int
-+main ()
-+{
-+#if BYTE_ORDER != BIG_ENDIAN
-+ not big endian
-+#endif
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_compile") 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
-+  { (case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_try") 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_try") 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_cv_c_bigendian=yes
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+	ac_cv_c_bigendian=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+	# It does not; compile a test program.
-+if test "$cross_compiling" = yes; then
-+  # try to guess the endianness by grepping values into an object file
-+  ac_cv_c_bigendian=unknown
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+short int ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
-+short int ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
-+void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; }
-+short int ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
-+short int ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
-+void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; }
-+int
-+main ()
-+{
-+ _ascii (); _ebcdic ();
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_compile") 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
-+  { (case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_try") 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_try") 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
-+  ac_cv_c_bigendian=yes
-+fi
-+if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
-+  if test "$ac_cv_c_bigendian" = unknown; then
-+    ac_cv_c_bigendian=no
-+  else
-+    # finding both strings is unlikely to happen, but who knows?
-+    ac_cv_c_bigendian=unknown
-+  fi
-+fi
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+else
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_includes_default
-+int
-+main ()
-+{
-+
-+  /* Are we little or big endian?  From Harbison&Steele.  */
-+  union
-+  {
-+    long int l;
-+    char c[sizeof (long int)];
-+  } u;
-+  u.l = 1;
-+  return u.c[sizeof (long int) - 1] == 1;
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_link") 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-+  { (case "(($ac_try" in
-+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+  *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+  (eval "$ac_try") 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_cv_c_bigendian=no
-+else
-+  echo "$as_me: program exited with status $ac_status" >&5
-+echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+( exit $ac_status )
-+ac_cv_c_bigendian=yes
-+fi
-+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-+fi
-+
-+
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
-+echo "${ECHO_T}$ac_cv_c_bigendian" >&6; }
-+case $ac_cv_c_bigendian in
-+  yes)
-+
-+cat >>confdefs.h <<\_ACEOF
-+#define WORDS_BIGENDIAN 1
-+_ACEOF
-+ ;;
-+  no)
-+     ;;
-+  *)
-+    { { echo "$as_me:$LINENO: error: unknown endianness
-+presetting ac_cv_c_bigendian=no (or yes) will help" >&5
-+echo "$as_me: error: unknown endianness
-+presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
-+   { (exit 1); exit 1; }; } ;;
-+esac
-+
-+
- 
- # Check whether --with-distro was given.
- if test "${with_distro+set}" = set; then
---- configure.in.org	2006-08-07 17:02:45.000000000 +0200
-+++ configure.in	2006-08-07 17:03:37.000000000 +0200
-@@ -50,6 +50,11 @@
- AC_PROG_INTLTOOL([0.27.2])
- AM_GLIB_GNU_GETTEXT
- 
-+dnl
-+dnl Make sha1.c happy on big endian systems
-+dnl
-+AC_C_BIGENDIAN
-+
- AC_ARG_WITH(distro, AC_HELP_STRING([--with-distro=DISTRO], [Specify the Linux distribution to target: One of redhat, suse, gentoo, debian, arch or slackware]))
- if test "z$with_distro" = "z"; then
- 	AC_CHECK_FILE(/etc/redhat-release,with_distro="redhat")
diff --git a/debian/patches/12_dbus1.0.patch b/debian/patches/12_dbus1.0.patch
deleted file mode 100644
index a8ce1422..00000000
--- a/debian/patches/12_dbus1.0.patch
+++ /dev/null
@@ -1,42 +0,0 @@
-diff -urN NetworkManager-0.6.4.orig/gnome/libnm_glib/libnm_glib.c NetworkManager-0.6.4/gnome/libnm_glib/libnm_glib.c
---- NetworkManager-0.6.4.orig/gnome/libnm_glib/libnm_glib.c	2007-01-10 21:58:05.000000000 +0100
-+++ NetworkManager-0.6.4/gnome/libnm_glib/libnm_glib.c	2007-01-10 22:00:00.000000000 +0100
-@@ -230,7 +230,8 @@
- 	{
- 		/* Try to reactivate our connection to dbus on the next pass through the event loop */
- 		ctx->nm_state = LIBNM_NO_DBUS;
--		dbus_connection_disconnect (ctx->dbus_con);
-+		dbus_connection_unref (ctx->dbus_con);
-+		ctx->dbus_con = NULL;
- 		libnm_glib_schedule_dbus_watcher (ctx);
- 	}
- 	else if (dbus_message_is_signal (message, DBUS_INTERFACE_DBUS, "NameOwnerChanged"))
-@@ -444,7 +445,10 @@
- 		g_main_loop_unref (ctx->g_main_loop);
- 
- 	if (ctx->dbus_con)
--		dbus_connection_disconnect (ctx->dbus_con);
-+	{
-+        	dbus_connection_unref (ctx->dbus_con);
-+		ctx->dbus_con = NULL;
-+	}
- 
- 	if (ctx->callbacks_lock)
- 		g_mutex_free (ctx->callbacks_lock);
-diff -urN NetworkManager-0.6.4.orig/src/NetworkManagerDbus.c NetworkManager-0.6.4/src/NetworkManagerDbus.c
---- NetworkManager-0.6.4.orig/src/NetworkManagerDbus.c	2007-01-10 21:58:05.000000000 +0100
-+++ NetworkManager-0.6.4/src/NetworkManagerDbus.c	2007-01-10 22:01:49.000000000 +0100
-@@ -831,10 +831,10 @@
- 	}
- 
- 	dbus_error_init (&error);
--#if (DBUS_VERSION_MAJOR == 0) && (DBUS_VERSION_MINOR >= 60)
--	flags = DBUS_NAME_FLAG_DO_NOT_QUEUE;	/* Prohibit replacement is now the default */
-+#if (DBUS_VERSION_MAJOR == 0) && (DBUS_VERSION_MINOR < 60)
-+	 flags = DBUS_NAME_FLAG_PROHIBIT_REPLACEMENT;
- #else
--	flags = DBUS_NAME_FLAG_PROHIBIT_REPLACEMENT;
-+	flags = DBUS_NAME_FLAG_DO_NOT_QUEUE;
- #endif
- 	ret = dbus_bus_request_name (connection, NM_DBUS_SERVICE, flags, &error);
- 	if (dbus_error_is_set (&error))
diff --git a/debian/patches/13-wep_capabilities.patch b/debian/patches/13-wep_capabilities.patch
deleted file mode 100644
index e69dcad6..00000000
--- a/debian/patches/13-wep_capabilities.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-Index: src/NetworkManagerAP.c
-===================================================================
---- src/NetworkManagerAP.c	(Revision 2356)
-+++ src/NetworkManagerAP.c	(Revision 2357)
-@@ -572,12 +572,14 @@
- {
- 	if (cipher & IW_AUTH_CIPHER_WEP40)
- 	{
--		caps |= (NM_802_11_CAP_PROTO_WEP & NM_802_11_CAP_CIPHER_WEP40);
-+		caps |= NM_802_11_CAP_PROTO_WEP;
-+		caps |= NM_802_11_CAP_CIPHER_WEP40;
- 		caps &= ~NM_802_11_CAP_PROTO_NONE;
- 	}
- 	if (cipher & IW_AUTH_CIPHER_WEP104)
- 	{
--		caps |= (NM_802_11_CAP_PROTO_WEP & NM_802_11_CAP_CIPHER_WEP104);
-+		caps |= NM_802_11_CAP_PROTO_WEP;
-+		caps |= NM_802_11_CAP_CIPHER_WEP104;
- 		caps &= ~NM_802_11_CAP_PROTO_NONE;
- 	}
- 	if (cipher & IW_AUTH_CIPHER_TKIP)